Core - Bug # 55845

Status: Resolved Priority: Must have
Author: Frans Saris Category:
Created: 2014-02-10 Assigned To:
Updated: 2014-02-11 Due date:
TYPO3 Version: 6.2

PHP Version:

Complexity: no-brainer

Is Regression: No

Sprint Focus:

Subject: Wrong check removes FE cookie

Description

A wrong check in FrontendUserAuthentication removes the FE cookie. As result your logged out.

Related issues:
related to Core - Task # 55549: Only set FE user cookie if session data or us... Resolved 2014-02-01

Associated revisions

Revision 00c895c0 - 2014-02-11 09:59 - Frans Saris

[BUGFIX] Wrong check removes FE cookie

Issue #55549 added a wrong check for user uid.
As result the FE cookie gets deleted when you are
loggedin instead when your not.

This change inverses the check.

Resolves: #55845

Releases: 6.2

Change-Id: 10c59afb8c89e9f7887970eaf0a4079fe98280b2¢c
Reviewed-on: https://review.typo3.org/27525

Reviewed-by: Wouter Wolters
Reviewed-by: Markus Klein
Reviewed-by: Marcin Sagol
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

History

#1 - 2014-02-10 15:06 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27525

#2 - 2014-02-11 10:30 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:00c895c0be42bfed30dc9671f050cd1320962dd0.

2015-08-04 22



